# PetscInitializePackage

This function initializes everything in the main Petsc package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the call to PetscInitialize() when using static libraries.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

Petsc, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/sys/viewer/interface/dlregispetsc.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages